pcl::PointXY32i Class Reference

2D point with integer x- and y-coordinates. More...

`#include <pcl/ml/point_xy_32i.h>`

## Public Member Functions

| PointXY32i ()
| Constructor. More...
virtual | ~PointXY32i ()
| Destructor. More...
void | serialize (std::ostream &stream) const
| Serializes the point to the specified stream. More...
void | deserialize (std::istream &stream)
| Deserializes the point from the specified stream. More...

## Static Public Member Functions

static PointXY32i | randomPoint (const int min_x, const int max_x, const int min_y, const int max_y)
| Creates a random point within the specified window. More...

## Public Attributes

int | x
| The x-coordinate of the point. More...
int | y
| The y-coordinate of the point. More...

## Detailed Description

2D point with integer x- and y-coordinates.

Definition at line 48 of file point_xy_32i.h.

## Constructor & Destructor Documentation

## PointXY32i()

pcl::PointXY32i::PointXY32i | ( |  | ) |

inline

Constructor.

Definition at line 51 of file point_xy_32i.h.

## ~PointXY32i()

virtual pcl::PointXY32i::~PointXY32i | ( |  | ) |

inline virtual

Destructor.

Definition at line 54 of file point_xy_32i.h.

## Member Function Documentation

## deserialize()

void pcl::PointXY32i::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the point from the specified stream.

Parameters

  [in] | stream | the source for the deserialization

Definition at line 72 of file point_xy_32i.h.

## randomPoint()

static PointXY32i pcl::PointXY32i::randomPoint | ( | const int | min_x,
|  | const int | max_x,
|  | const int | min_y,
|  | const int | max_y
| ) |  |

static

Creates a random point within the specified window.

Parameters

  [in] | min_x | the minimum value for the x-coordinate of the point
  [in] | max_x | the maximum value for the x-coordinate of the point
  [in] | min_y | the minimum value for the y-coordinate of the point
  [in] | max_y | the maximum value for the y-coordinate of the point

Referenced by pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::createRandomFeatures().

## serialize()

void pcl::PointXY32i::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the point to the specified stream.

Parameters

  [out] | stream | the destination for the serialization

Definition at line 61 of file point_xy_32i.h.

## Member Data Documentation

## x

int pcl::PointXY32i::x

The x-coordinate of the point.

Definition at line 90 of file point_xy_32i.h.

## y

int pcl::PointXY32i::y

The y-coordinate of the point.

Definition at line 92 of file point_xy_32i.h.

The documentation for this class was generated from the following file:

- pcl/ml/point_xy_32i.h